# DO - Projects

{{#include ../../../banners/hacktricks-training.md}}

## Basic Information

> project is just a container for all the **services** (droplets, spaces, databases, kubernetes...) **running together inside of it**.\
> For more info check:

{{#ref}}
../do-basic-information.md
{{#endref}}

### Enumeration

It's possible to **enumerate all the projects a user have access to** and all the resources that are running inside a project very easily:

```bash
doctl projects list # Get projects
doctl projects resources list <proj-id> # Get all the resources of a project
```

{{#include ../../../banners/hacktricks-training.md}}



